// ID:ID, GiftID:对应礼包ID, needItem:需要道具ID, needCount:需要道具数量

export default class M_ActivityFishingCeleGiftRecharge {
  private static data =
      {"1":{"ID":1,"GiftID":354,"needItem":301,"needCount":0}

      ,"2":{"ID":2,"GiftID":355,"needItem":301,"needCount":12}

      ,"3":{"ID":3,"GiftID":356,"needItem":301,"needCount":32}

      ,"4":{"ID":4,"GiftID":357,"needItem":301,"needCount":74}

      ,"5":{"ID":5,"GiftID":358,"needItem":301,"needCount":140}

      ,"6":{"ID":6,"GiftID":359,"needItem":301,"needCount":360}

      ,"7":{"ID":7,"GiftID":360,"needItem":301,"needCount":699}

      }// ID:ID, GiftID:对应礼包ID, needItem:需要道具ID, needCount:需要道具数量


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}